%define upstream_name    MooseX-Types-Structured
%define upstream_version 0.36

%{?perl_default_filter}
# Remove underspecified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::PartialDump\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Structured type constraints
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

Provides:   perl(MooseX::Meta::TypeCoercion::Structured)
Provides:   perl(MooseX::Meta::TypeConstraint::Structured)

Requires:   perl(Devel::PartialDump) >= 0.13
# hidden from PAUSE, but need to be available
Provides:   perl(MooseX::Meta::TypeCoercion::Structured) = %{version}
Provides:   perl(MooseX::Meta::TypeCoercion::Structured::Optional) = %{version}
Provides:   perl(MooseX::Meta::TypeConstraint::Structured) = %{version}
Provides:   perl(MooseX::Meta::TypeConstraint::Structured::Optional) = %{version}
Provides:   perl(MooseX::Types::Structured::MessageStack) = %{version}
Provides:   perl(MooseX::Types::Structured::OverflowHandler) = %{version}

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(Devel::PartialDump) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Meta::TypeCoercion)
BuildRequires: perl(Moose::Meta::TypeConstraint)
BuildRequires: perl(Moose::Meta::TypeConstraint::Parameterizable)
BuildRequires: perl(Moose::Util::TypeConstraints) >= 1.60.0
BuildRequires: perl(MooseX::Types) >= 0.220.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(if)
BuildRequires: perl(namespace::clean) >= 0.190.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A structured type constraint is a standard container the Moose manpage type
constraint, such as an ArrayRef or HashRef, which has been enhanced to
allow you to explicitly name all the allowed type constraints inside the
structure. The generalized form is:

    TypeConstraint[@TypeParameters or %%TypeParameters]

Where 'TypeParameters' is an array or hash of the
Moose::Meta::TypeConstraint manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/MooseX

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.360.0-4.mga8
+ Revision: 1505477
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.360.0-3.mga7
+ Revision: 1285098
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.360.0-2.mga7
+ Revision: 1165696
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 0.360.0-1.mga7
+ Revision: 1161827
- update to 0.36

* Sun Jun 19 2016 pterjan <pterjan> 0.340.0-3.mga6
+ Revision: 1030708
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.340.0-2.mga6
+ Revision: 969378
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.340.0-1.mga6
+ Revision: 868602
- update to 0.34

* Tue Jul 14 2015 sander85 <sander85> 0.330.0-1.mga6
+ Revision: 854086
- update to 0.33

* Wed Oct 15 2014 umeabot <umeabot> 0.300.0-6.mga5
+ Revision: 750423
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 0.300.0-5.mga5
+ Revision: 736852
- add some missing requires & provides

* Thu Oct 02 2014 shlomif <shlomif> 0.300.0-4.mga5
+ Revision: 735443
- New excludes for rpm upgrade

* Sun Sep 28 2014 tv <tv> 0.300.0-3.mga5
+ Revision: 731307
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.300.0-2.mga5
+ Revision: 685590
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 588546
- update to 0.30

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 513246
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 370370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 154550
- fix %%description
- update to 0.28

* Wed Jun 15 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 107197
- update to 0.27

* Tue Jan 25 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 38663
- mageia rebuild
- imported package perl-MooseX-Types-Structured


* Tue Jan 04 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.260.0-1mdv2011.0
+ Revision: 628582
- update to new version 0.26

* Wed Dec 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.250.0-1mdv2011.0
+ Revision: 625968
- update to new version 0.25

* Wed Nov 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.240.0-1mdv2011.0
+ Revision: 598317
- update to new version 0.24

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2011.0
+ Revision: 552722
- update to 0.23

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.210.0-2mdv2010.1
+ Revision: 528112
- rebuild
- update to 0.21

* Fri Feb 05 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 501147
- update to 0.20

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2010.1
+ Revision: 463041
- update to 0.19

* Thu Aug 20 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.0
+ Revision: 418402
- update to 0.18

* Sun Aug 16 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.0
+ Revision: 416977
- update to 0.17

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 405948
- rebuild using %%perl_convert_version

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2010.0
+ Revision: 384028
- update to new version 0.16

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.14-1mdv2010.0
+ Revision: 374544
- update to new version 0.14

* Wed Mar 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.1
+ Revision: 353675
- update to new version 0.09

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-3mdv2009.1
+ Revision: 343945
- fix dependencies again

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-2mdv2009.1
+ Revision: 343939
- fix dependencies

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 343851
- import perl-MooseX-Types-Structured


* Sun Feb 22 2009 cpan2dist 0.07-1mdv
- initial mdv release, generated with cpan2dist

